import express, { query } from 'express';
import { createDatabaseConnection } from '../db/database.js'; // db 연결 파일
import { rtDBConfig } from '../private/config.js'; // 프라이빗 파일 연결
const router = express.Router();


// DB 연결 테스트
router.get(`/test`, async (req, res) => {
  try {
    const connection = await createDatabaseConnection(rtDBConfig);
    const [rows] = await connection.query('SELECT * FROM version');
    await connection.end();
    res.json(rows);
  } catch (err) {
    res.status(500).json({ error: err.message });
  }
});

export default router;